## jxtray.io
Class GunzipWriterStrategy

    java.lang.Object
      jxtray.io.WriterStrategy
          jxtray.io.GunzipWriterStrategy

public class GunzipWriterStrategy
extends WriterStrategy

Author:
  Jean-Yves Beaujean This class allows to write a String in an tgz file. NOTE : actually , zip format is used in this class :-)

Field Summary

Fields inherited from class jxtray.io.WriterStrategy
`_fileName`

Constructor Summary
`GunzipWriterStrategy(java.lang.String filename)`

Method Summary
`void` `close()`
`java.lang.String` `getName()` Return the writer name
`void` `open()`
`void` `write(java.lang.String data)` Write the data `data` in file `file</file> It use `ZipOutputStream``

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GunzipWriterStrategy

    public GunzipWriterStrategy(java.lang.String filename)

Method Detail

### open

    public void open()
              throws java.io.IOException

  Specified by:
    `open` in class `WriterStrategy`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in class `WriterStrategy`
  Throws:
    `java.io.IOException`

### getName

    public java.lang.String getName()

  Return the writer name

  Overrides:
    `getName` in class `WriterStrategy`
  Returns:
    String

### write

    public void write(java.lang.String data)
               throws java.io.IOException

  Write the data `data` in file `file</file> It use `ZipOutputStream`

  `
  Specified by:
    `write` in class `WriterStrategy`
  Throws:
    `java.io.IOException`